addEventListener("load", function () {
	location == "chrome://browser/content/browser.xul" && (function () {
		var hostRE = /^(10\.|172\.(1[6-9]|2\d|3[01])|192\.168\.|127(\.0)?(\.0)?\.1|localhost|$)/;
		setTimeout(function self() {
			try {
				setTimeout(self, 1000)
				gBrowser._browsers.forEach(function (browser) {
					if (hostRE.test(browser.currentURI.host)) {
						var lastStatus = browser.contentDocument.lastStatus = browser.contentDocument.lastStatus || {};
						var documents = Array.prototype.slice.call(browser.contentDocument.querySelectorAll("iframe,frame")).concat(browser).map(function (window) {
							return window.contentDocument
						});
						var urls = []
						documents.forEach(function (document) {
							urls = urls.concat(Array.prototype.slice.call(document.querySelectorAll("script[src],link[rel=stylesheet],img")).map(function (node) {
								return node.src || node.href
							}).concat(document.location.href))
						});
						urls.forEach(function (url) {
							if (/^file/.test(url)) {
								url = url.replace("file:///", "").replace(/\//g, "\\");
								var file = Components.classes['@mozilla.org/file/local;1'].createInstance(Components.interfaces.nsILocalFile);
								file.initWithPath(decodeURIComponent(url));
								var lastModifiedTime = file.exists() ? file.lastModifiedTime : "null";
								if (!lastStatus[url]) {
									lastStatus[url] = lastModifiedTime;
								}
								if (lastModifiedTime !== lastStatus[url]) {
									lastStatus[url] = lastModifiedTime;
									browser.reload(true)
								}
							} else if (hostRE.test(url.replace(/.+?\/\//, ""))) {
								var req = new XMLHttpRequest;
								req.open("get", url, true);
								req.responseType = "text";
								req.timeout = 500;
								req.send(null);
								req.onload = function () {
									if (!lastStatus[url]) {
										lastStatus[url] = req.responseText;
									}
									if (req.responseText !== lastStatus[url]) {
										lastStatus[url] = req.responseText;
										browser.reload(true)
									}
								}
							}
						})
					}
				})
			} catch (e) {
				//window.Firebug && Firebug.Console.log(e)
			}
		}, 1000)
	})()
}, false);